Delete Sandbox App

Use this API to delete Sandbox app.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
<PartnerPortalWarning />

<br />

## Request Parameters

| Key               | Description                                        | Constraints                                                              |
| :---------------- | :------------------------------------------------- | :----------------------------------------------------------------------- |
| PARTNER_APP_TOKEN | Partner app access token issued post partner login | Should be a valid Partner app access token belonging to the passed appId |
| appId             | App ID for the app to be deleted                   | Valid appId                                                              |
| comment           | Comment for app deletion                           | Optional                                                                 |

## Sample Request

```curl
curl --location --request DELETE 'https://partner.gupshup.io/partner/app/:appId?comment=Delete app' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}'

Sample Response

{
    "message": "App deleted successfully",
    "status": "success"
}

Status Codes

Status CodeResponseComments
Success
200{ "message": "App deleted successfully", "status": "success" }Success when app is deleted
Error
400{ "status":"error", "message/data":"<Specific to API>" }Error with respect to API
401{ "status":"error", "message":"Unauthorized Access" }When authentication fails
403{ "status":"error", "message":"Unauthorized Access" }Access is not allowed
429{ "status": "error", "message": "Too Many Requests" }20 calls per minute
500{ "status": "error", "message": "Internal Server Error" }For any Internal Error
Path Params
string
required

Unique identifier of the app

Query Params
string

Text for reference of deletion

Headers
string
required

Your partner app token, please refer Get access token api to get the token from partner documentation.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json